Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins.javascript
Class JScriptShell

    java.lang.Object
      ru.biosoft.plugins.javascript.JScriptShell

All Implemented Interfaces:
  org.eclipse.core.boot.IPlatformRunnable, org.eclipse.core.runtime.IPlatformRunnable

public class JScriptShell
extends java.lang.Object
implements org.eclipse.core.boot.IPlatformRunnable

JavaScript shell. Can execute scripts interactively or in batch mode at the command line.

To do:
  processFile
Pendung:
  usage message, errorReporter, options: -e, -w, exit from context

Field Summary
`static java.lang.String` | `BIOUML_MODULES`
`static java.lang.String` | `EVALUATE`
`protected java.util.ArrayList` | `fileList`
`protected static org.apache.log4j.Category` | `log`
`static java.lang.String` | `OPTIMISATION_LEVEL`
`static java.lang.String` | `PROCESS_FILE`
`protected boolean` | `processStdin`
`static java.lang.String` | `REPORT_WARNINGS`
`static java.lang.String` | `VERSION`

Fields inherited from interface org.eclipse.core.runtime.IPlatformRunnable
`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

Constructor Summary
`JScriptShell()`

Method Summary
`protected static void` | `configureLog4J()`
`java.io.InputStream` | `getInputStream()`
`void` | `print(java.lang.String msg)`
`void` | `println(java.lang.String msg)`
`protected java.lang.String[]` | `processOptions(java.lang.String[] args)` Parse command line arguments.
`protected void` | `processSource(java.lang.String filename)` Evaluate JavaScript source.
`java.lang.Object` | `run(java.lang.Object arg)` Top level function that starts the shell.
`void` | `setInputStream(java.io.InputStream in)`
`void` | `usage(java.lang.String s)` Print a usage message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BIOUML_MODULES

    public static final java.lang.String BIOUML_MODULES

See Also:
  Constant Field Values

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

### OPTIMISATION_LEVEL

    public static final java.lang.String OPTIMISATION_LEVEL

See Also:
  Constant Field Values

### REPORT_WARNINGS

    public static final java.lang.String REPORT_WARNINGS

See Also:
  Constant Field Values

### EVALUATE

    public static final java.lang.String EVALUATE

See Also:
  Constant Field Values

### PROCESS_FILE

    public static final java.lang.String PROCESS_FILE

See Also:
  Constant Field Values

### log

    protected static org.apache.log4j.Category log

### processStdin

    protected boolean processStdin

### fileList

    protected java.util.ArrayList fileList

Constructor Detail

### JScriptShell

    public JScriptShell()

Method Detail

### run

    public java.lang.Object run(java.lang.Object arg)

  Top level function that starts the shell.

  Specified by:
    `run` in interface `org.eclipse.core.runtime.IPlatformRunnable`

### configureLog4J

    protected static void configureLog4J()

### getInputStream

    public java.io.InputStream getInputStream()

### setInputStream

    public void setInputStream(java.io.InputStream in)

### usage

    public void usage(java.lang.String s)

  Print a usage message.

  Pendung:
    provide own implementation

### print

    public void print(java.lang.String msg)

### println

    public void println(java.lang.String msg)

### processOptions

    protected java.lang.String[] processOptions(java.lang.String[] args)

  Parse command line arguments.

### processSource

    protected void processSource(java.lang.String filename)

  Evaluate JavaScript source.

  Parameters:
    `filename` - the name of the file to compile, or null for interactive mode.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.